libzypp: zypp::Errno Class Reference

libzypp 17.38.8

zypp::Errno Class Reference

Convenience `errno` wrapper. More...

`#include <zypp-core/base/Errno.h>`

## Public Member Functions
| Errno ()
| Default ctor: `errno`.
| Errno (bool error_r)
| Ctor set to `errno` if error condition, else `0`.
| Errno (int errno_r)
| Ctor taking an explicit errno value.
int | get () const
| Return the stored errno.
| operator int () const
| Allow implicit conversion to `int`.
std::string | asString () const
| Return human readable error string.

## Private Attributes
int | _errno

## Detailed Description

Convenience `errno` wrapper.

Definition at line 25 of file Errno.h.

## Constructor & Destructor Documentation

## ◆ Errno() [1/3]

zypp::Errno::Errno | ( |  | ) |
| inline

Default ctor: `errno`.

Definition at line 29 of file Errno.h.

## ◆ Errno() [2/3]

zypp::Errno::Errno | ( | bool | error_r | ) |
| inline

Ctor set to `errno` if error condition, else `0`.

int ret = ::write( fd, buffer, size );
DBG << "write returns: " << Errno( ret != size ) << end;
// on success: "write returns: [0-Success]"
// on error e.g.: "write returns: [11-Resource temporarily unavailable]"
DBG
#define DBG
Definition Logger.h:102
zypp::Errno::Errno
Errno()
Default ctor: errno.
Definition Errno.h:29

Definition at line 39 of file Errno.h.

## ◆ Errno() [3/3]

zypp::Errno::Errno | ( | int | errno_r | ) |
| inline

Ctor taking an explicit errno value.

Definition at line 42 of file Errno.h.

## Member Function Documentation

## ◆ get()

int zypp::Errno::get | ( |  | ) | const
| inline

Return the stored errno.

Definition at line 46 of file Errno.h.

## ◆ operator int()

zypp::Errno::operator int | ( |  | ) | const
| inline

Allow implicit conversion to `int`.

Definition at line 49 of file Errno.h.

## ◆ asString()

std::string zypp::Errno::asString | ( |  | ) | const
| inline

Return human readable error string.

Definition at line 52 of file Errno.h.

## Member Data Documentation

## ◆ _errno

int zypp::Errno::_errno
| private

Definition at line 55 of file Errno.h.

The documentation for this class was generated from the following file:

- zypp-core/base/Errno.h